#ifdef POSITION
#ifndef morpheo_behavioural_Localisation_h
#define morpheo_behavioural_Localisation_h

#include "Include/ToString.h"

namespace morpheo              {
namespace behavioural          {

  typedef enum {NORTH, SOUTH, EAST, WEST} localisation_t;
  
}; // end namespace behavioural          
  
  template<>           inline std::string toString<morpheo::behavioural::localisation_t>(const morpheo::behavioural::localisation_t& x)
  {
    switch (x)
      {
      case morpheo::behavioural::NORTH   : return "north" ; break;
      case morpheo::behavioural::SOUTH   : return "south" ; break;
      case morpheo::behavioural::EAST    : return "east"  ; break;
      case morpheo::behavioural::WEST    : return "west"  ; break;
      default                            : return ""      ; break;
      }
  }
  
}; // end namespace morpheo              

#endif
#endif
